/**
 * Tooltip styling.
 */
@layer components {

  .ui\.tooltip {
    @apply bg-white border rounded-l-md whitespace-no-wrap;
    @apply absolute top-0 right-0;
    @apply mt-2 mr-16 px-3 py-1;
  }

  .ui\.tooltip::before {
    @apply absolute z-10;
    @apply transform -translate-y-1/2;
    left: 100%;
    top: 50%;
    content: '';
    border-width: 17px;
    border-color: transparent transparent transparent #cbd5e0;
  }

  .ui\.tooltip::after {
    @apply absolute z-20;
    @apply transform -translate-y-1/2;
    left: 100%;
    top: 50%;
    content: '';
    border-width: 16px;
    border-color: transparent transparent transparent white;
  }

  .ui\.tooltip-target:not(:hover) ~ .ui\.tooltip {
    @apply hidden;
  }

}
